Subject: acka-research Digest V4 #109
From: [email-masked]
To: acka-research digest users <[email-masked]>
Date: Sat, 26 Jun 1999 00:00:04 -400 (EDT)

acka-research Digest	Friday, June 25 1999	Volume: 04  Issue: 109

----------------------------------------------------------------------

From: Duncan Richer <[email-masked]>
Subject: Re: Acka: Various harfing announcements
Date: Fri, 25 Jun 1999 03:34:26 -0400 (EDT)

On Thu, 24 Jun 1999, Gabe (Ai! Pedrito!) Drummond-Cole wrote:

> At 08:12 PM 6/24/99 -0400, you wrote:
> >On Thu, 24 Jun 1999, K 2 wrote:
> >
> >> Pomp and Circumstance resulted in all players getting 10 Mannna - aside
> >> from Dragon Mage and King Felix and icy players who are prohibited by
> >> rule 4.
> >
> > And I, who is on Ganymede (or Titan).
> >
> 
> wRONG.  Ganymede and Titan are no longer rule defined, and as you are a
> player, you must have a rule-defined location, which i THINK defaults to
> the library, your home, steps of town hall, or fairy land.

Uh?  So unless a rule defines a location, it doesn't exist?  So all the
land that players own doesn't count as locations, because a rule doesn't
state that they own it?

-- 
Duncan C. Richer aka Slakko the Lost Warner Brother | Queens' College
http://www.dpmms.cam.ac.uk/~dcr24/    Ackanomic     | U. of Cambridge
                    Web-Harfer, Map-Harfer, Justice | 2nd Year PhD(PMa)

------------------------------

From: K 2 <[email-masked]>
Subject: Re: Acka: Various harfing announcements
Date: Fri, 25 Jun 1999 08:15:50 -0400 (EDT)

Gabe (Ai! Pedrito!) Drummond-Cole wrote:

> At 09:04 AM 6/24/99 -0400, you wrote:
> >Pomp and Circumstance resulted in all players getting 10 Mannna - aside
> >from Dragon Mage and King Felix and icy players who are prohibited by
> >rule 4.
> >
>
> i believe Alfvaen and I also forfeited the mannna.

Oh  yes. The Duel list. <smacks emself> I usually ignore that one....

K 2

------------------------------

From: K 2 <[email-masked]>
Subject: Re: Acka: Various harfing announcements
Date: Fri, 25 Jun 1999 08:53:11 -0400 (EDT)

Rule 10-1:

1) A Rule that defines an entity or class of entity may specify that the entity
is a Location.
...
Instances of Locations are entities, and are unique, unless otherwise specified.
A Location may only have
properties, or be given properties, as specified by the Rules.

Nothing caused Ganymede to cease being a location - since its still a location
rule 10-1 makes it an entity - regardless it would appear to still be a valid
place for a player to be... unless location hood is explicitly stripped from an
entity when its defining rule is repealed.

Its almost ironic that the status of a former moon should come up now in the
middle of a thread split over the status of a former entity :-)

Something pertinent to the current split:
If the sad number is still a regulated part of the game it follows that it can
only be manipulated according to the rules; since the rules left the number in a
certain state, I think it is likely that it remains in that state; this is both
customary and (IMO) fairly logical - given that things regulated by the rules
can only be modified according to the rules (R1P2S1) - having anything which is
regulated by the rules "changing" in a meaningful way (wrt the game state) under
the control of something which is not the rules would seem in conflict with
this. (eg changing from 129 to undefined or anything else)

The sad number's value is regulated by the rules, in so far as the effect of
having a score near it while a song is playing - thus I would deem the sad
number to be a part of the game state; modifying it does change the game state -
it effects which players will have a score near it and thus are eligible for the
sad player bonus (conceived prior to the convertible economy :-) It would follow
that facets of the sad number that are not part of the game state could be
changed (eg its location) while those parts of it that are (eg its value) can
not (except according to the rules - R1P2S1 regulates the changing of the game
state, so any thing that changes the game state would appear to be regulated...)

I think it is likely that (assuming the song played) the CAN'T thread is in
operation. As for weather it did or not.... I'm still trying to figure it out
:-)

K 2

Duncan Richer wrote:

> On Thu, 24 Jun 1999, Gabe (Ai! Pedrito!) Drummond-Cole wrote:
>
> > At 08:12 PM 6/24/99 -0400, you wrote:
> > >On Thu, 24 Jun 1999, K 2 wrote:
> > >
> > >> Pomp and Circumstance resulted in all players getting 10 Mannna - aside
> > >> from Dragon Mage and King Felix and icy players who are prohibited by
> > >> rule 4.
> > >
> > > And I, who is on Ganymede (or Titan).
> > >
> >
> > wRONG.  Ganymede and Titan are no longer rule defined, and as you are a
> > player, you must have a rule-defined location, which i THINK defaults to
> > the library, your home, steps of town hall, or fairy land.
>
> Uh?  So unless a rule defines a location, it doesn't exist?  So all the
> land that players own doesn't count as locations, because a rule doesn't
> state that they own it?
>
> --
> Duncan C. Richer aka Slakko the Lost Warner Brother | Queens' College
> http://www.dpmms.cam.ac.uk/~dcr24/    Ackanomic     | U. of Cambridge
>                     Web-Harfer, Map-Harfer, Justice | 2nd Year PhD(PMa)

------------------------------

From: JT <[email-masked]>
Subject: Re: Acka: Various harfing announcements
Date: Fri, 25 Jun 1999 12:51:22 -0400 (EDT)

On Fri, 25 Jun 1999, K 2 wrote:
> Rule 10-1:
> 
> 1) A Rule that defines an entity or class of entity may specify that
> the entity is a Location.

I think this first sentance is key here.   Entityhood for Ganymede and
Titan were lost when they were repealed.   This rule above would seem to
strip their location hood as well.   This differs from the happy/sad
number foo-fer-rah because here a rule is explicitly saying that something
must be an entity to be a location and another rule says that an entity is
only defined by the rules.

While I will agree (based on the entire discussion about the happy and sad
number) is that the references to Ganymede/Titan are still within the
ackanomic game state and any properties they had (other than location and
entityhood (and any others explicity stripped by the rules)) still remain
on them in the same state.

Give the following statement(s) (from the same rule on locations),
"A player must be in exactly one Location at any one time. A player
may only leave, or be removed from, a Location as specified by the
Rules."  I would say that the must requirement forced the removal from the
moons of anyone who was there and placed them in their home or the wilds 
as per the following statement "If a player leaves a Location without
specifying a destination, or their location is otherwise undefined, and
they cannot go to their Home, then they go to The Wilds of Ackanomic."

I believe the 'must be in exactly one Location' forced the removal of the
player from something which was no longer a location.

> Nothing caused Ganymede to cease being a location - since its still a
> location rule 10-1 makes it an entity - regardless it would appear to
> still be a valid place for a player to be... unless location hood is
> explicitly stripped from an entity when its defining rule is repealed.

I think this is where you are wrong for the reason I offered above.

--Dragon Mage

-- 
[-------------------------------------------------------------------------]
[ Practice random kindness and senseless acts of beauty.                  ]
[ It's hard to seize the day when you must first grapple with the morning ]
[-------------------------------------------------------------------------]

------------------------------

From: K 2 <[email-masked]>
Subject: Re: Acka: Dictate
Date: Fri, 25 Jun 1999 20:59:53 -0400 (EDT)

JT wrote:

> On Fri, 25 Jun 1999, Gabe (Ai! Pedrito!) Drummond-Cole wrote:
> > I issue the following dictate, delimited by STUDGETOO
> >
> > STUDGETOO
> > The gamestate is changed so that Studge has A$2000
> > STUDGETOO
>
> I censor this dictate.  I don't think loss of money to one of the scam
> participants through the fact that the scam went slightly awry should be
> recovered in this fashion.

I one of the emperorship threads both Ai! Pedrito! and Studge converted all of
eir A$ into Mannna - not really a loss of resources...

K 2

------------------------------

From: JT <[email-masked]>
Subject: Re: Acka: Dictate
Date: Fri, 25 Jun 1999 21:06:13 -0400 (EDT)

On Fri, 25 Jun 1999, K 2 wrote:
> I one of the emperorship threads both Ai! Pedrito! and Studge converted all of
> eir A$ into Mannna - not really a loss of resources...

In other words, they could in fact convert them back (albeit at a loss).

--Dragon Mage

-- 
[-------------------------------------------------------------------------]
[ Practice random kindness and senseless acts of beauty.                  ]
[ It's hard to seize the day when you must first grapple with the morning ]
[-------------------------------------------------------------------------]

------------------------------

End of acka-research Digest V4 #109
***********************************